Bug 13572 - Vacation program won't include .vacation.msg
Vacation program won't include .vacation.msg
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: vacation (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-07 14:59 EDT by kevin_myer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-07 14:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin_myer 2000-07-07 14:59:42 EDT
There is a bug in the vacation program - it won't include the .vacation.msg
file and simply sends out an email without any body.  The pipe to include
the message is being closed before anything is being written to it.  I
believe this vacation is from Powertools 6.2 but I'm using it with RH 6.1
with the latest patches.

The fix I have found is trivial:

--- vacation.c.orig	Fri Jul  7 14:58:08 2000
+++ vacation.c	Fri Jul  7 14:42:16 2000
@@ - 505,7 +505,7 @@
		syslog(LOG_ERR, "vacation: pipe: %s", strerror(errno));
		exit(1);
	}
-	i = vfork();
+	i = fork();
	if (i < 0) {
		syslog(LOG_ERR, "vacation: fork: %s", strerror(errno));
		exit(1);
Comment 1 Ngo Than 2000-07-10 10:26:38 EDT
thanks for your report and the patch file.
I have apply the patch file to 1.2.0.

Note You need to log in before you can comment on or make changes to this bug.